## lmod 5.6.2

=== debian/changelog ===
lmod (5.6.2-1) unstable; urgency=medium

  * Imported Upstream version 5.6.2
  * Added autopkgtest tests (loading)
  * Generalized lintian ignores
  * Updated Makefile patch

 -- Aaron Zauner <azet@azet.org>  Sat, 07 Jun 2014 17:57:30 -0500

lmod (5.5.1-1) unstable; urgency=medium

  * Initial release (Closes: #743823)

 -- Aaron Zauner <azet@azet.org>  Wed, 21 May 2014 00:05:23 -0600
