=== debian/control ===
Source: lmod
Section: devel
Priority: optional
Maintainer: Aaron Zauner <azet@azet.org>
Build-Depends: debhelper (>= 8.0.0), autotools-dev, lua5.2, lua-filesystem, lua-posix, lua-term, lua-json
Standards-Version: 3.9.5
Homepage: https://www.tacc.utexas.edu/tacc-projects/lmod
Vcs-Git: git://github.com/azet/lmod-deb.git
Vcs-Browser: https://github.com/azet/lmod-deb

Package: lmod
Architecture: all
Depends: ${misc:Depends}, lua5.2, lua-filesystem, lua-posix, lua-term, lua-json
Description: Lua based environment modules
 Lmod is a Lua based module system that easily handles the MODULEPATH
 Hierarchical problem. Environment Modules provide a convenient way to
 dynamically change the users' environment through modulefiles. This
 includes easily adding or removing directories to the PATH environment
 variable. Modulefiles for Library packages provide environment variables
 that specify where the library and header files can be found.
