=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Priority: optional
 Maintainer: Aaron Zauner <azet@azet.org>
 Build-Depends: debhelper (>= 8.0.0), autotools-dev, lua5.2, lua-filesystem, lua-posix, lua-term, lua-json
-Standards-Version: 3.9.5
+Standards-Version: 3.9.6
 Homepage: https://www.tacc.utexas.edu/tacc-projects/lmod
 Vcs-Git: git://github.com/azet/lmod-deb.git
 Vcs-Browser: https://github.com/azet/lmod-deb
