=== debian/tests/control ===
Tests: load-test
Restrictions: allow-stderr
