## lmod 6.6

=== pkgs/Makefile ===
install:
	cd term; $(MAKE) install

clean:
	cd term; $(MAKE) clean
