=== debian/changelog ===
lmod (6.6-0.4) unstable; urgency=medium

  * Non-maintainer upload.
  * Change Architecture: to any. Closes: #951508
    This is required because lmod now gets LUA_PATH and LUA_CPATH at
    compile time (to deal with users overriding those variables).
    See https://github.com/TACC/Lmod/issues/112
    There was an upstream report that this breaks Raspian, which was rejected,
    so it is unlikely that upstream will return to the current behaviour.
    See https://github.com/TACC/Lmod/issues/338
    Thanks to Baptiste Jonglez for finding the relevant upstream bug reports.

 -- Lucas Nussbaum <lucas@debian.org>  Mon, 26 Oct 2020 13:24:01 +0100

lmod (6.6-0.3) unstable; urgency=medium

  * Non-maintainer upload.
  * Pass PS=/bin/ps to configure (Closes: #915304)
    - fixes reproducible build on merged-usr vs non-merged systems

 -- Andreas Henriksson <andreas@fatal.se>  Sun, 02 Dec 2018 18:06:51 +0100

lmod (6.6-0.2) unstable; urgency=medium

  * Non-maintainer upload.
  * Conflict with environment-modules. (Closes: #846580)

 -- Christian Hofstaedtler <zeha@debian.org>  Thu, 22 Dec 2016 06:49:08 +0000

lmod (6.6-0.1) unstable; urgency=medium

  * Non-maintainer upload.
  * New upstream release. (Closes: #793355)
  * Refresh patch change_paths
  * Update debhelper compatibility 9.
  * Install README.md, it has been renamed from README.
  * Add build-depends on procps.
  * Add build-depends and depends on tcl.
  * Update Standars-Version to 3.9.8, no changes required.
  * Update lintian overrides.
  * Make lmod to behave like environment-modules:
    - Allow to configure the list of modules path at /etc/lmod/modulespath
    - Install /etc/profile.d/lmod.sh and read MODULESPATH from
      /etc/lmod/modulespath

 -- Ana Beatriz Guerrero Lopez <ana@debian.org>  Fri, 11 Nov 2016 23:37:24 +0100
