=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

TDIR=debian/lmod


%:
	dh $@  --with autotools-dev

override_dh_auto_configure:
	dh_auto_configure -- \
		PS=/bin/ps

override_dh_auto_test:

override_dh_pysupport:

override_dh_auto_install:
	dh_auto_install
	cp ${TDIR}/usr/share/lmod/lmod/init/profile ${TDIR}/etc/profile.d/lmod.sh
	cp debian/modulespath ${TDIR}/etc/lmod/
