=== pkgs/term/Makefile ===
--- 
+++ 
@@ -7,7 +7,7 @@
 override CFLAGS  := $(CFLAGS) -fPIC
 
 ifneq ($(LUA_INC),)
-  override CFLAGS  := $(CFLAGS) -I$(LUA_INC)
+  override CFLAGS  := $(CFLAGS) $(LUA_INC)
 endif
 
 OS := $(shell uname -s)
@@ -26,10 +26,10 @@
 	ln -s $(SONAMEV) $@
 
 $(LIBRARY): $(OBJ)
-	$(CC) $(CFLAGS) $(LIB_OPTION) -o $(LIBRARY) $(OBJ) -lc
+	$(CC) $(CFLAGS) $(LIB_OPTION) -o $(LIBRARY) $(OBJ) $(LDFLAGS) -lc
 
 install: $(SHARE)/term $(LIB)/term all
-	rsync -l *.so* $(LIB)/term
+	cp -a *.so* $(LIB)/term
 	cp term/*.lua $(SHARE)/term
 
 $(LIB)/term $(SHARE)/term:
