=== debian/changelog ===
lmod (8.6.19-1) unstable; urgency=medium

  * New upstream release.

  [ Vagrant Cascadian ]
  * debian/rules: Pass binary paths to configure to make the package build
    reproducibly regardless of usrmerge.  (Closes: #1007095)

  [ Andreas Beckmann ]
  * Update Standards-Version to 4.6.1.
  * Upload to unstable.

 -- Andreas Beckmann <anbe@debian.org>  Tue, 07 Jun 2022 02:35:28 +0200

lmod (8.6.5-1) experimental; urgency=medium

  [ Alexandre Strube ]
  * New upstream release.  (Closes: #883911)
  * New maintainer.  (Closes: #972938)

  [ Andreas Beckmann ]
  * Replace patches with configure flags.
  * Switch to debhelper-compat (= 13).
  * Enable all hardening flags.
  * Set Rules-Requires-Root: no.
  * Add debian/upstream/metadata.
  * Add watch file.
  * Move package under the umbrella of the Debian HPC Team.
  * Update debian/copyright.
  * Mark trivial autopkgtest as superficial.  (Closes: #974490)
  * Update Lintian overrides.
  * Update Standards-Version to 4.6.0.
  * Add component tarball "hermes".
  * Disable 'end2end' test, needs to be run from a git repository.
  * Run tests at build time.
  * Add autopkgtest that runs the upstream testsuite.
  * Add lmod-doc package.
  * Upload to experimental.

 -- Andreas Beckmann <anbe@debian.org>  Mon, 24 Jan 2022 01:28:58 +0100
