=== debian/control ===
Source: lmod
Section: devel
Priority: optional
Maintainer: Debian HPC Team <debian-hpc@lists.debian.org>
Uploaders:
 Alexandre Strube <surak@surak.eti.br>,
 Andreas Beckmann <anbe@debian.org>,
Build-Depends:
 debhelper-compat (= 13),
Build-Depends-Arch:
               lua-filesystem,
               lua-json,
               lua-posix,
               lua-term,
               lua5.3,
               procps,
               tcl,
               tcl-dev,
               liblua5.3-dev,
 cmake <!nocheck>,
 fish <!nocheck>,
 ksh <!nocheck>,
 python-is-python3 <!nocheck>,
 r-base <!nocheck>,
 r-base-dev <!nocheck>,
 tclsh <!nocheck>,
 tcsh <!nocheck>,
 zsh <!nocheck>,
Build-Depends-Indep:
 dh-sequence-sphinxdoc,
 python3-sphinx,
Rules-Requires-Root: no
Standards-Version: 4.6.1
Homepage: https://www.tacc.utexas.edu/tacc-projects/lmod
Vcs-Git: https://salsa.debian.org/hpc-team/lmod.git
Vcs-Browser: https://salsa.debian.org/hpc-team/lmod

Package: lmod
Architecture: any
Depends: lua-filesystem,
         lua-json,
         lua-posix,
         lua-term,
         lua5.3,
         tcl,
         ${shlibs:Depends},
         ${misc:Depends}
Suggests: lmod-doc
Conflicts: environment-modules
Description: Lua based environment modules
 Lmod is a Lua based module system that easily handles the MODULEPATH
 Hierarchical problem. Environment Modules provide a convenient way to
 dynamically change the users' environment through modulefiles. This
 includes easily adding or removing directories to the PATH environment
 variable. Modulefiles for Library packages provide environment variables
 that specify where the library and header files can be found.

Package: lmod-doc
Section: doc
Architecture: all
Depends:
 ${sphinxdoc:Depends},
 ${misc:Depends}
Built-Using:
 ${sphinxdoc:Built-Using},
Description: Lua based environment modules (documentation)
 Lmod is a Lua based module system that easily handles the MODULEPATH
 Hierarchical problem. Environment Modules provide a convenient way to
 dynamically change the users' environment through modulefiles. This
 includes easily adding or removing directories to the PATH environment
 variable. Modulefiles for Library packages provide environment variables
 that specify where the library and header files can be found.
 .
 This package contains the documentation.
