=== debian/tests/control ===
Tests: load-test
Restrictions: allow-stderr, superficial

Tests: upstream-testsuite
Depends:
 lmod,
 cmake,
 fish,
 ksh,
 python-is-python3,
 r-base,
 r-base-core,
 tclsh,
 tcsh,
 zsh,
