=== debian/changelog ===
lmod (8.7.59-2) unstable; urgency=medium

  * Fix arch:all build.
  * Skip modulerc test on i386 (32-bit time_t).

 -- Andreas Beckmann <anbe@debian.org>  Mon, 14 Apr 2025 23:43:54 +0200

lmod (8.7.59-1) unstable; urgency=medium

  * New upstream release.
  * Add B-D: bc.
  * Update Standards-Version to 4.7.2.

 -- Andreas Beckmann <anbe@debian.org>  Mon, 14 Apr 2025 18:35:53 +0200

lmod (8.6.19-2) unstable; urgency=medium

  [ Francois Mazen ]
  * Update homepage.
  * Update watch file.

  [ Andreas Beckmann ]
  * lmod-doc: Mark as M-A: foreign.
  * Update Standards-Version to 4.7.0.

 -- Andreas Beckmann <anbe@debian.org>  Sat, 15 Feb 2025 04:32:00 +0100
