=== docs/requirements.txt ===
docutils<0.18
sphinx==1.8.5
