=== pkgs/tcl2lua/Makefile ===
--- 
+++ 
@@ -25,7 +25,10 @@
 	$(CC) $(CFLAGS) $(LIB_OPTION) -o $(LIBRARY) $(OBJ) $(LDFLAGS) -lc $(LIBS) $(TCL_LIBS)
 
 install: all
-	cp -a *.so* $(LIB)
+	install -m $(MODE_R) $(LIBRARY) $(LIB)
+	$(RM) -f $(LIB)/$(SONAMEV) $(LIB)/$(SONAME)
+	ln -s $(LIBRARY) $(LIB)/$(SONAMEV)
+	ln -s $(SONAMEV) $(LIB)/$(SONAME)
 
 clean:	neat
 	$(RM) $(LIBRARY) $(SONAMEV) $(SONAME)
