=== my_docs/13/easybuild_bof_sc13/Makefile ===
TALKS    := easybuild_bof_sc13.pdf
TEX_SUFS := .aux .log .nav .out .snm .toc .vrb .fdb_latexmk .fls

%.pdf:%.tex
	latexmk -pdf $<

all: $(TALKS)

clean:
	$(RM) $(foreach suf, ${TEX_SUFS}, $(TALKS:.pdf=${suf})) *~
	$(RM) -r auto

clobber: clean
	$(RM) $(TALKS)
