=== debian/control ===
--- 
+++ 
@@ -8,6 +8,7 @@
 Build-Depends:
  debhelper-compat (= 13),
 Build-Depends-Arch:
+ bc,
                lua-filesystem,
                lua-json,
                lua-posix,
@@ -30,8 +31,8 @@
  dh-sequence-sphinxdoc,
  python3-sphinx,
 Rules-Requires-Root: no
-Standards-Version: 4.6.1
-Homepage: https://www.tacc.utexas.edu/tacc-projects/lmod
+Standards-Version: 4.7.2
+Homepage: https://www.tacc.utexas.edu/research/tacc-research/lmod/
 Vcs-Git: https://salsa.debian.org/hpc-team/lmod.git
 Vcs-Browser: https://salsa.debian.org/hpc-team/lmod
 
@@ -58,6 +59,7 @@
 Package: lmod-doc
 Section: doc
 Architecture: all
+Multi-Arch: foreign
 Depends:
  ${sphinxdoc:Depends},
  ${misc:Depends}
