=== debian/rules ===
--- 
+++ 
@@ -23,6 +23,9 @@
 
 override_dh_auto_configure-indep:
 
+execute_before_dh_auto_build-indep:
+	[ -s docs/source/400_code_conventions.rst ] || $(RM) docs/source/400_code_conventions.rst
+
 execute_after_dh_auto_build-indep:
 	$(MAKE) -C docs
 
@@ -40,6 +43,7 @@
 	test ! -f debian/tests-failed.stamp || exit $$(cat debian/tests-failed.stamp)
 
 execute_after_dh_auto_install-arch:
+	find debian/tmp -type d -empty -print -delete
 	mkdir -p debian/tmp/etc/profile.d
 	cp debian/tmp/usr/share/lmod/lmod/init/profile debian/tmp/etc/profile.d/lmod.sh
 	# move the shared library from /usr/share to /usr/lib
